Этот вопрос закрыт для ответов, так как повторяет вопрос Установил автопрефиксер и выводит в консоль ошибку как исправить?
@RedSmoke_smr

Почему browserslist выдает ошибку?

Здравствуйте!
Подскажите пожалуйста, суть проблемы такова:
Я около 3 недель назад со сборкой gulp у меня все было отлично, она отлично собиралась и не было ни каких проблем. Спустя 3 недели я продолжил работу над проектом и при вводе в консоле gulp у меня начало выдавать ошибку, сама сборка собирается, но из за ошибки не происходит обновления сборки.
Код ошибки из консоли прикладываю!
Помогите пожалуйста разобраться с данной проблемой, в этой сфере я, увы, новичок и только учусь.
5d2caf00aede6533094463.png
  • Вопрос задан
  • 326 просмотров
Решения вопроса 1
alsolovyev
@alsolovyev
Что Вас смущает в тексте ошибки? Есть даже ссылка, в которой можно найти причины и способы решения данной проблемы.

Есть 3 способа:
1. Изменить в autoprefixer опцию browsers на overrideBrowserslist

autoprefixer({
  overrideBrowserslist: ['last 4 versions'], 
  cascade: false
}),

2. Удалить в autoprefixed опцию browsers. Добавить в package.json ключ browerslist:

"browserslist": [
    "last 4 versions"
  ]

3. Удалить в autoprefixed опцию browsers. Создать в корне проекта файл ".browserslistrc". В нем указать:

last 4 versions

1 спосбо лучше не использовать
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Вопрос закрыт для ответов и комментариев

Потому что уже есть похожий вопрос.
Похожие вопросы